<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Wed Feb 23 15:53:22 PST 2005 -->
<TITLE>
: Interface  DatabaseDefinitionFactory
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DatabaseDefinitionFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DatabaseDefinitionFactory.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.dbdefinition</FONT>
<BR>
Interface  DatabaseDefinitionFactory</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/impl/DatabaseDefinitionFactoryImpl.html">DatabaseDefinitionFactoryImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>DatabaseDefinitionFactory</B><DT>extends org.eclipse.emf.ecore.EFactory</DL>

<P>
<!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc -->
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html"><CODE>DatabaseDefinitionPackage</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html">DatabaseDefinitionFactory</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#eINSTANCE">eINSTANCE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The singleton instance of the factory.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html">ColumnDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createColumnDefinition()">createColumnDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Column Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createConstraintDefinition()">createConstraintDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Constraint Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseVendorDefinition.html">DatabaseVendorDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createDatabaseVendorDefinition()">createDatabaseVendorDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Database Vendor Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ExtendedDefinition.html">ExtendedDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createExtendedDefinition()">createExtendedDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Extended Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/IndexDefinition.html">IndexDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createIndexDefinition()">createIndexDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Index Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createPredefinedDataTypeDefinition()">createPredefinedDataTypeDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Predefined Data Type Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html">QueryDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createQueryDefinition()">createQueryDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Query Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createSequenceDefinition()">createSequenceDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Sequence Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SQLSyntaxDefinition.html">SQLSyntaxDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createSQLSyntaxDefinition()">createSQLSyntaxDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>SQL Syntax Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createStoredProcedureDefinition()">createStoredProcedureDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Stored Procedure Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableDefinition.html">TableDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createTableDefinition()">createTableDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Table Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceDefinition.html">TableSpaceDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createTableSpaceDefinition()">createTableSpaceDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Table Space Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TriggerDefinition.html">TriggerDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createTriggerDefinition()">createTriggerDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>Trigger Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/UserDefinedTypeDefinition.html">UserDefinedTypeDefinition</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#createUserDefinedTypeDefinition()">createUserDefinedTypeDefinition</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a new object of class '<em>User Defined Type Definition</em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html#getDatabaseDefinitionPackage()">getDatabaseDefinitionPackage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the package supported by this factory.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EFactory"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EFactory</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>convertToString, create, createFromString, getEPackage, setEPackage</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Field Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="eINSTANCE"><!-- --></A><H3>
eINSTANCE</H3>
<PRE>
public static final <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionFactory.html">DatabaseDefinitionFactory</A> <B>eINSTANCE</B></PRE>
<DL>
<DD>The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="createDatabaseVendorDefinition()"><!-- --></A><H3>
createDatabaseVendorDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseVendorDefinition.html">DatabaseVendorDefinition</A> <B>createDatabaseVendorDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Database Vendor Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Database Vendor Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createPredefinedDataTypeDefinition()"><!-- --></A><H3>
createPredefinedDataTypeDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/PredefinedDataTypeDefinition.html">PredefinedDataTypeDefinition</A> <B>createPredefinedDataTypeDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Predefined Data Type Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Predefined Data Type Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createTableSpaceDefinition()"><!-- --></A><H3>
createTableSpaceDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableSpaceDefinition.html">TableSpaceDefinition</A> <B>createTableSpaceDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Table Space Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Table Space Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createStoredProcedureDefinition()"><!-- --></A><H3>
createStoredProcedureDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/StoredProcedureDefinition.html">StoredProcedureDefinition</A> <B>createStoredProcedureDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Stored Procedure Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Stored Procedure Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createTriggerDefinition()"><!-- --></A><H3>
createTriggerDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TriggerDefinition.html">TriggerDefinition</A> <B>createTriggerDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Trigger Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Trigger Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createColumnDefinition()"><!-- --></A><H3>
createColumnDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ColumnDefinition.html">ColumnDefinition</A> <B>createColumnDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Column Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Column Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createConstraintDefinition()"><!-- --></A><H3>
createConstraintDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html">ConstraintDefinition</A> <B>createConstraintDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Constraint Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Constraint Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createIndexDefinition()"><!-- --></A><H3>
createIndexDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/IndexDefinition.html">IndexDefinition</A> <B>createIndexDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Index Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Index Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createExtendedDefinition()"><!-- --></A><H3>
createExtendedDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ExtendedDefinition.html">ExtendedDefinition</A> <B>createExtendedDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Extended Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Extended Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createTableDefinition()"><!-- --></A><H3>
createTableDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/TableDefinition.html">TableDefinition</A> <B>createTableDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Table Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Table Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createSequenceDefinition()"><!-- --></A><H3>
createSequenceDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SequenceDefinition.html">SequenceDefinition</A> <B>createSequenceDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Sequence Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Sequence Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createUserDefinedTypeDefinition()"><!-- --></A><H3>
createUserDefinedTypeDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/UserDefinedTypeDefinition.html">UserDefinedTypeDefinition</A> <B>createUserDefinedTypeDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>User Defined Type Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>User Defined Type Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createQueryDefinition()"><!-- --></A><H3>
createQueryDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/QueryDefinition.html">QueryDefinition</A> <B>createQueryDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>Query Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Query Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createSQLSyntaxDefinition()"><!-- --></A><H3>
createSQLSyntaxDefinition</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/SQLSyntaxDefinition.html">SQLSyntaxDefinition</A> <B>createSQLSyntaxDefinition</B>()</PRE>
<DL>
<DD>Returns a new object of class '<em>SQL Syntax Definition</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>SQL Syntax Definition</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="getDatabaseDefinitionPackage()"><!-- --></A><H3>
getDatabaseDefinitionPackage</H3>
<PRE>
public <A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html">DatabaseDefinitionPackage</A> <B>getDatabaseDefinitionPackage</B>()</PRE>
<DL>
<DD>Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the package supported by this factory.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DatabaseDefinitionFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/ConstraintDefinition.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../org/eclipse/wst/rdb/internal/models/dbdefinition/DatabaseDefinitionPackage.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DatabaseDefinitionFactory.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
